Package uk.ac.starlink.pal

# Class Spherical

java.lang.Object
uk.ac.starlink.pal.Spherical

public class Spherical extends Object
Point in Spherical coordinates (with radial velocity)

## Constructor Summary

Constructors
Constructor
Description
`Spherical(double a, double b, double c)`
Point in Spherical coordinates
`Spherical(double a, double b, double c, double aa, double bb, double cc)`
Point in Spherical coordinates and Radial Veocity

## Method Summary

Modifier and Type
Method
Description
`double`
`getLat()`
Get Latitude
`double`
`getLatDeriv()`
Get latitude velocity component
`double`
`getLong()`
Get Longitude
`double`
`getLongDeriv()`
Get longitude velocity component
`double`
`getRadial()`
Get radial component
`double`
`getRadialDeriv()`
Get radial velocity component
`String`
`toString()`
Get as String

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Spherical

public Spherical(double a, double b, double c)
Point in Spherical coordinates

Parameters:
  `a` - Longitude
  `b` - Latitude
  `c` - Radial

### Spherical

public Spherical(double a, double b, double c, double aa, double bb, double cc)
Point in Spherical coordinates and Radial Veocity

Parameters:
  `a` - Longitude
  `b` - Latitude
  `c` - Radial
  `aa` - Velocity component along longitude
  `bb` - Velocity component along latitude
  `cc` - Velocity component along radial

## Method Details

### getLong

public double getLong()
Get Longitude

Returns:
  Longitude

### getLat

public double getLat()
Get Latitude

Returns:
  Latitude

### getRadial

public double getRadial()
Get radial component

Returns:
  Radial component

### getLongDeriv

public double getLongDeriv()
Get longitude velocity component

Returns:
  Longitude velocity component

### getLatDeriv

public double getLatDeriv()
Get latitude velocity component

Returns:
  Latitude velocity component

### getRadialDeriv

public double getRadialDeriv()
Get radial velocity component

Returns:
  Radial velocity component

### toString

public String toString()
Get as String

Overrides:
  `toString` in class `Object`
Returns:
  Point (and velocity) expressed as [a, b, c] ( [aa, bb, cc] )